// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useContext } from 'react';
import cn from 'classnames';
import { Button, Switch } from '@arco-design/web-react';
import { IconMoonFill, IconSunFill } from '@arco-design/web-react/icon';
import { SlotRouter } from '@arco-cli/aspect/dist/react-router/uiRuntime';
import { WorkspaceContext } from "../workspaceContext";
import { BASE_DOCS_DOMAIN } from "../constants";
import Logo from "./asset/arco-material-logo.svg";
import styles from "./navbar.module.scss";
/**
 * Top bar with corner and contextual menu.
 */
export function Navbar({
  menu = [],
  className,
  title
}) {
  const {
    darkMode,
    setDarkMode
  } = useContext(WorkspaceContext);
  return /*#__PURE__*/React.createElement("div", {
    className: cn(styles.navbar, className)
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    className: styles.title
  }, /*#__PURE__*/React.createElement(Logo, {
    className: styles.logo
  }), /*#__PURE__*/React.createElement("span", {
    className: styles.text
  }, title)), /*#__PURE__*/React.createElement(SlotRouter, {
    routes: menu
  })), /*#__PURE__*/React.createElement("div", {
    className: styles.right
  }, /*#__PURE__*/React.createElement(Switch, {
    className: styles.darkModeSwitcher,
    checkedText: /*#__PURE__*/React.createElement(IconSunFill, null),
    uncheckedText: /*#__PURE__*/React.createElement(IconMoonFill, null),
    checked: darkMode,
    onChange: setDarkMode
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    target: "_blank",
    href: `https://${BASE_DOCS_DOMAIN}`
  }, "Get Started")));
}