// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import { MDXLayout } from "../markdown/mdxLayout";
import { Theme } from "./theme";
import { Content as DocContent } from "./doc/content";
import { PropertiesTable } from "./doc/propertiesTable";
import { DocAnchorContextProvider } from "../markdown/components/docAnchor";
import { PreviewContextProvider } from "./previewContext";
import "../style/colors.scss";
import styles from "./app.module.scss";
export function App({
  doc,
  metadata
}) {
  const isEmpty = !doc && (!metadata || Array.isArray(metadata) && metadata.length === 0);
  return /*#__PURE__*/React.createElement(PreviewContextProvider, null, /*#__PURE__*/React.createElement(Theme, null, /*#__PURE__*/React.createElement(DocAnchorContextProvider, null, /*#__PURE__*/React.createElement(MDXLayout, null, isEmpty ? /*#__PURE__*/React.createElement("div", {
    className: styles.emptyWarning
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.title
  }, "No valid component overview found."), /*#__PURE__*/React.createElement("div", {
    className: styles.details
  }, "Please check your component [entries.preview] config in [arco.workspace.jsonc].")) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DocContent, {
    doc: doc
  }), /*#__PURE__*/React.createElement(PropertiesTable, {
    doclet: metadata
  }))))));
}