// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import { ErrorBoundary } from 'react-error-boundary';
import { CLASSNAME_MARKDOWN_CONTENT } from "../../constants";
import styles from "./content.module.scss";
function ErrorFallback({
  error
}) {
  return /*#__PURE__*/React.createElement("div", {
    className: styles.errorBoundary,
    role: "alert"
  }, /*#__PURE__*/React.createElement("p", {
    className: styles.title
  }, "Failed to render. Something went wrong:"), /*#__PURE__*/React.createElement("pre", {
    className: styles.details
  }, error.message));
}
export function Content({
  doc
}) {
  const Content = typeof doc === 'function' ? doc : () => null;
  return /*#__PURE__*/React.createElement(ErrorBoundary, {
    FallbackComponent: ErrorFallback
  }, /*#__PURE__*/React.createElement("div", {
    className: CLASSNAME_MARKDOWN_CONTENT
  }, /*#__PURE__*/React.createElement(Content, null)));
}